package com.oracle.example.jdk9jfr.helloworld;

import jdk.jfr.Event;
import jdk.jfr.Label;

public class Hello {

    @Label("Hello World!")
    static class HelloWorldEvent extends Event {
       @Label("Message")
       String message;
    }

    public static void main(String... args) {
        HelloWorldEvent event = new HelloWorldEvent();
        event.message = "Hello World!";
        event.commit();
   }
}